<?php

/**
 * [BEGIN_COT_EXT]
 * Hooks=admin
 * [END_COT_EXT]
 */

defined('COT_CODE') or die('Wrong URL');
require_once cot_incfile('certificates', 'module');

list($usr['auth_read'], $usr['auth_write'], $usr['isadmin']) = cot_auth('certificates', 'any');
cot_block($usr['isadmin']);

$adminpath[] = array(cot_url('admin', 'm=extensions'), $L['Extensions']);
$adminpath[] = array(cot_url('admin', 'm=extensions&a=details&mod='.$m), $cot_modules[$m]['title']);
$adminpath[] = array(cot_url('admin', 'm='.$m), $L['Administration']);

if (!in_array($p, array('default')))
{
	$p = 'default';
}

require_once cot_incfile('certificates', 'module', 'admin.'.$p);